Accounts
List Integrated Accounts
GET
https://api.entro.security/v1/accountsAuthorizations
AuthorizationstringRequiredResponses
200Successful response
GET
/v1/accountsGET /v1/accounts HTTP/1.1 Host: api.entro.security Authorization: YOUR_API_KEY Accept: */*
curl -L \ --url 'https://api.entro.security/v1/accounts' \ --header 'Authorization: YOUR_API_KEY' \ --header 'Accept: */*'
const response = await fetch('https://api.entro.security/v1/accounts', {
method: 'GET',
headers: {
"Authorization": "YOUR_API_KEY",
"Accept": "*/*"
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.entro.security/v1/accounts",
headers={"Authorization":"YOUR_API_KEY","Accept":"*/*"},
)
data = response.json()200Successful response
[
{
"uid": "d10f7245-c3af-4653-911e-647d10a66f59",
"accountType": "GITHUB",
"environment": "entro-github-test",
"status": "active",
"connectorId": "29175b39-36c7-442a-9ac0-dc3dbc108b6e",
"createdAt": "2025-07-30T12:31:27.452Z"
},
{
"uid": "3e34ad66-16b8-446c-a7fa-c9e5e8ab69ff",
"accountType": "SERVICE_NOW",
"environment": "entro-servicenow-test",
"status": "active",
"connectorId": "1a9461fe-08ff-4c45-8294-6a3d1645c66e",
"createdAt": "2025-08-18T19:37:08.719Z"
},
{
"uid": "9c3cb14c-3dbd-44c3-b30c-3b2c027ae0eb",
"accountType": "ATLASSIAN",
"environment": "entro-jira-test",
"status": "active",
"connectorId": "29075f39-31c7-442c-9ec0-ad3fbc118b5e",
"createdAt": "2025-09-16T14:26:17.588Z"
}
]Check Account Status
GET
https://api.entro.security/v1/accounts/healthAuthorizations
AuthorizationstringRequiredQuery parameters
accountUidstringRequiredThe unique identifier for the account
Responses
200Successful response
GET
/v1/accounts/health?accountUid=textGET /v1/accounts/health?accountUid=text HTTP/1.1 Host: api.entro.security Authorization: YOUR_API_KEY Accept: */*
curl -L \ --url 'https://api.entro.security/v1/accounts/health' \ --header 'Authorization: YOUR_API_KEY' \ --header 'Accept: */*'
const response = await fetch('https://api.entro.security/v1/accounts/health', {
method: 'GET',
headers: {
"Authorization": "YOUR_API_KEY",
"Accept": "*/*"
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.entro.security/v1/accounts/health",
headers={"Authorization":"YOUR_API_KEY","Accept":"*/*"},
)
data = response.json()200Successful response
{
"status": "ACTIVE",
"lastVerified": "Oct 06, 2025 12:30 AM",
"lastChecked": "Oct 06, 2025 12:30 AM",
"nextVerification": "Oct 07, 2025 8:00 AM",
"policies": {
"Repository permissions ": [
{
"name": "security_events:read",
"granted": false
},
{
"name": "actions_variables:read",
"granted": false
},
{
"name": "checks:read",
"granted": false
},
{
"name": "deployments:read",
"granted": false
},
{
"name": "packages:read",
"granted": false
},
{
"name": "repository_hooks:read",
"granted": false
},
{
"name": "repository_projects:read",
"granted": false
},
{
"name": "secret_scanning_alerts:read",
"granted": false
},
{
"name": "vulnerability_alerts:read",
"granted": false
},
{
"name": "actions:read",
"granted": false
},
{
"name": "metadata:read",
"granted": false
},
{
"name": "pull_requests:read",
"granted": false
},
{
"name": "contents:read",
"granted": false
},
{
"name": "issues:read",
"granted": false
},
{
"name": "statuses:read",
"granted": false
}
],
"Organization permissions": [
{
"name": "administration:read",
"granted": false
},
{
"name": "secrets:read",
"granted": false
},
{
"name": "environments:read",
"granted": false
},
{
"name": "pages:read",
"granted": false
}
],
"Classic token": [
{
"name": "repo:status",
"granted": true
},
{
"name": "repo_deployment",
"granted": true
},
{
"name": "public_repo",
"granted": true
},
{
"name": "repo:invite",
"granted": true
},
{
"name": "security_events",
"granted": true
},
{
"name": "read:packages",
"granted": true
},
{
"name": "read:org",
"granted": true
},
{
"name": "read:public_key",
"granted": true
},
{
"name": "read:repo_hook",
"granted": true
},
{
"name": "notifications",
"granted": true
},
{
"name": "read:user",
"granted": true
},
{
"name": "user:email",
"granted": true
},
{
"name": "user:follow",
"granted": true
},
{
"name": "read:discussion",
"granted": true
},
{
"name": "read:enterprise",
"granted": true
},
{
"name": "read:audit_log",
"granted": true
},
{
"name": "read:project",
"granted": true
},
{
"name": "read:gpg_key",
"granted": true
},
{
"name": "read:ssh_signing_key",
"granted": true
}
]
}
}